Bug 448521 - 'Update' page shows the version of the flatpak currently installed instead of the version of the update available
Summary: 'Update' page shows the version of the flatpak currently installed instead of...
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Applications
Component: Flatpak Backend (show other bugs)
Version: 5.23.90
Platform: Archlinux Linux
: HI normal
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-15 12:05 UTC by Patrick Silva
Modified: 2022-08-25 19:08 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.26


Attachments
before update (51.59 KB, image/png)
2022-01-15 12:05 UTC, Patrick Silva
Details
after update (131.23 KB, image/png)
2022-01-15 12:05 UTC, Patrick Silva
Details
screenshot of a Flatpak update (16.47 KB, image/png)
2022-07-21 09:24 UTC, Dennis Schridde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2022-01-15 12:05:16 UTC
Created attachment 145490 [details]
before update

SUMMARY
When a update for a flatpak app is available, the 'Update' page shows the version currently installed instead of the version of the update available. Please see the screenshots taken before and after updating my system.

STEPS TO REPRODUCE
1. have flatpaks installed on your system
2. open Discover when updates for flatpaks are available and click on 'Update' in the sidebar
3. obverse 'Update to version...' text of flatpaks updates
4. install all updates
5. open the description page of the just updated flatpaks
6. observe the version of the flatpak currently installed

OBSERVED RESULT
versions observed in the steps 3 and 6 are different

EXPECTED RESULT
versions observed in the 'Update' page and in the description pages should match

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.23.90
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.2)
Graphics Platform: Wayland
Comment 1 Patrick Silva 2022-01-15 12:05:36 UTC
Created attachment 145491 [details]
after update
Comment 2 Nate Graham 2022-01-21 01:50:04 UTC
Can confirm. Seems related to 447937.
Comment 3 Dennis Schridde 2022-07-21 09:24:21 UTC
Created attachment 150785 [details]
screenshot of a Flatpak update

I experience this too (see attached screenshot). Fixing bug #447937 does not seem to have fixed this.

I would also provide the output of `flatpak --system update`, but there apparently the `flatpak` CLI does not show it (cf. https://github.com/flatpak/flatpak/issues/2901).
Comment 4 Dennis Schridde 2022-07-21 09:26:42 UTC
This might be related to bug #411186 or bug #434936, which also deal with wrong version information being displayed.
Comment 5 Aleix Pol 2022-08-25 09:10:58 UTC
Git commit 84624c868c3090e70e15ca9d5686b9f04828d0be by Aleix Pol Gonzalez, on behalf of Aleix Pol i Gonzalez.
Committed on 25/08/2022 at 08:59.
Pushed by apol into branch 'master'.

flatpak: Get the version from the appstream file we are fed

flatpak_installed_ref_get_appdata_version will give us the installed
version.

M  +2    -3    libdiscover/backends/FlatpakBackend/FlatpakBackend.cpp
M  +5    -0    libdiscover/backends/FlatpakBackend/FlatpakResource.h

https://invent.kde.org/plasma/discover/commit/84624c868c3090e70e15ca9d5686b9f04828d0be